JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const optimizations = await client.content.optimization.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(optimizations.data);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
optimizations = client.content.optimization.list(
asset_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(optimizations.data)curl --request GET \
--url https://api.tryprofound.com/v1/content/{asset_id}/optimization \
--header 'X-API-Key: <api-key>'
{
"info": {
"total_rows": 123,
"query": {
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 10000,
"offset": 0
}
}
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"extracted_input": "<string>",
"status": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Content Optimization
Optimization List
GET
/
v1
/
content
/
{asset_id}
/
optimization
JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const optimizations = await client.content.optimization.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(optimizations.data);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
optimizations = client.content.optimization.list(
asset_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(optimizations.data)Authorizations
APIKeyHeaderBearerAuth
Path Parameters
Query Parameters
Maximum number of results to return
Required range:
x <= 50000Offset for pagination
Required range:
x >= 0Was this page helpful?
⌘I